<ng-container *transloco="let t; prefix: 'agentConfiguration'">
    <div class="d-flex justify-content-center">
        <div class="col-12 col-md-10 mt-5">
            <div class="row">
                <div class="text-break">
                    <h1 class="text-primary">{{ t('title') }}</h1>
                </div>
              <eui-tabs>
                <eui-tab>
                  <euiTabLabel>
                    {{ t('tabs.generateKeypair') }}
                  </euiTabLabel>
                  <euiTabContent>
                    <app-keypair-generation></app-keypair-generation>
                  </euiTabContent>
                </eui-tab>
                <eui-tab>
                  <euiTabLabel>
                    {{ t('tabs.importKeypair') }}
                  </euiTabLabel>
                  <euiTabContent>
                    <app-keypair-import></app-keypair-import>
                  </euiTabContent>
                </eui-tab>
                <eui-tab>
                  <euiTabLabel>
                    {{ t('tabs.generateCsr') }}
                  </euiTabLabel>
                  <euiTabContent>
                    <app-csr-generation></app-csr-generation>
                  </euiTabContent>
                </eui-tab>
                <eui-tab>
                  <euiTabLabel>
                    {{ t('tabs.importCredentials') }}
                  </euiTabLabel>
                  <euiTabContent>
                    <app-credentials-import></app-credentials-import>
                  </euiTabContent>
                </eui-tab>
              </eui-tabs>
            </div>
        </div>
    </div>
</ng-container>
